Agrarian-CLI(1)

NAME
agrarian-cli - manual page for agrarian-cli v3.1.99.0

DESCRIPTION
Agrarian Core RPC client version v3.1.99.0-11f4a2bba4-dirty

  Usage:

agrarian-cli [options] <command> [params]
    Send command to Agrarian Core

agrarian-cli [options] help
    List commands

agrarian-cli [options] help <command>
    Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: agrarian.conf)

-datadir=<dir>

    Specify data directory

-testnet

    Use the test network

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 51335 or testnet: 61335)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout during HTTP requests (default: 900)

COPYRIGHT
Copyright (C) 2009-2018 The Bitcoin Core Developers Copyright (C) 2014-2018 The Dash Core Developers Copyright (C) 2015-2018 The PIVX Core Developers This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <http://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.